Page MenuHomePhabricator

entitysources: Clean up any remainders of the legacy back/compat config in the mediawiki-config repository
Closed, ResolvedPublic

Description

Split out from T242087 and T241975

Now that entitysources is used for configuring wikibase in production we can remove usages of the legacy configuration from production.
We should check to see if these settings are used in Wikibase any more (they should not be) as everything should be coming from entity sources (expect the legacy config parsers)

Looking at EntitySourceDefinitionsLegacyRepoSettingsParser this probably is:

And for EntitySourceDefinitionsLegacyClientSettingsParser:

The repositories old legacy thing: https://doc.wikimedia.org/Wikibase/master/php/md_docs_topics_options.html#autotoc_md370
The foreignRepositories old legacy thing: https://doc.wikimedia.org/Wikibase/master/php/md_docs_topics_options.html#foreignRepositories
The new entitysources thing: https://doc.wikimedia.org/Wikibase/master/php/md_docs_topics_entitysources.html

Acceptance Criteria:πŸ•οΈπŸŒŸ

  • Configuration that is no longer used by wikibase, is no longer set in mediawiki-config
  • Replacement config (entity sources config) is set in mediawiki-config (this was likely already all done in T214557)

Details

Show related patches Customize query in gerrit

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 701500 had a related patch set uploaded (by Lucas Werkmeister (WMDE); author: Lucas Werkmeister (WMDE)):

[operations/mediawiki-config@master] Stop setting Wikibase client changesDatabase

https://gerrit.wikimedia.org/r/701500

Change 701501 had a related patch set uploaded (by Lucas Werkmeister (WMDE); author: Lucas Werkmeister (WMDE)):

[operations/mediawiki-config@master] Remove $wmgWikibaseClientChangesDatabase

https://gerrit.wikimedia.org/r/701501

Change 701502 had a related patch set uploaded (by Lucas Werkmeister (WMDE); author: Lucas Werkmeister (WMDE)):

[operations/mediawiki-config@master] Stop setting Wikibase repo foreignRepositories

https://gerrit.wikimedia.org/r/701502

Change 701503 had a related patch set uploaded (by Lucas Werkmeister (WMDE); author: Lucas Werkmeister (WMDE)):

[operations/mediawiki-config@master] Remove $wmgWikibaseRepoForeignRepositories

https://gerrit.wikimedia.org/r/701503

Change 701504 had a related patch set uploaded (by Lucas Werkmeister (WMDE); author: Lucas Werkmeister (WMDE)):

[operations/mediawiki-config@master] Stop setting Wikibase client repoConceptBaseUri

https://gerrit.wikimedia.org/r/701504

Change 701505 had a related patch set uploaded (by Lucas Werkmeister (WMDE); author: Lucas Werkmeister (WMDE)):

[operations/mediawiki-config@master] Remove $wmgWikibaseClientRepoConceptBaseUri

https://gerrit.wikimedia.org/r/701505

I started with some settings that I’m reasonably certain are unused; other settings will have to wait, since it looks like there are still places in Wikibase that read those settings directly instead of using the entity sources.

Change 701500 merged by jenkins-bot:

[operations/mediawiki-config@master] Stop setting Wikibase client changesDatabase

https://gerrit.wikimedia.org/r/701500

Mentioned in SAL (#wikimedia-operations) [2021-06-28T09:14:53Z] <lucaswerkmeister-wmde@deploy1002> Synchronized wmf-config/Wikibase.php: Config: [[gerrit:701500|Stop setting Wikibase client changesDatabase (T257260)]] (duration: 00m 55s)

Change 701501 merged by jenkins-bot:

[operations/mediawiki-config@master] Remove $wmgWikibaseClientChangesDatabase

https://gerrit.wikimedia.org/r/701501

Mentioned in SAL (#wikimedia-operations) [2021-06-28T09:39:32Z] <lucaswerkmeister-wmde@deploy1002> sync-file aborted: Config: [[gerrit:701502|Stop setting Wikibase repo foreignRepositories (T257260)]] (1/2, prod) (duration: 00m 10s)

Mentioned in SAL (#wikimedia-operations) [2021-06-28T09:41:17Z] <lucaswerkmeister-wmde@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:701501|Remove $wmgWikibaseClientChangesDatabase (T257260)]] (1/2, prod) (duration: 00m 57s)

Mentioned in SAL (#wikimedia-operations) [2021-06-28T09:42:25Z] <lucaswerkmeister-wmde@deploy1002> Synchronized wmf-config/InitialiseSettings-labs.php: Config: [[gerrit:701501|Remove $wmgWikibaseClientChangesDatabase (T257260)]] (2/2, beta) (duration: 00m 56s)

Change 701502 merged by jenkins-bot:

[operations/mediawiki-config@master] Stop setting Wikibase repo foreignRepositories

https://gerrit.wikimedia.org/r/701502

Mentioned in SAL (#wikimedia-operations) [2021-06-28T11:50:50Z] <lucaswerkmeister-wmde@deploy1002> Synchronized wmf-config/Wikibase.php: Config: [[gerrit:701502|Stop setting Wikibase repo foreignRepositories (T257260)]] (duration: 00m 55s)

Change 701503 merged by jenkins-bot:

[operations/mediawiki-config@master] Remove $wmgWikibaseRepoForeignRepositories

https://gerrit.wikimedia.org/r/701503

Mentioned in SAL (#wikimedia-operations) [2021-06-28T13:06:10Z] <lucaswerkmeister-wmde@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:701503|Remove $wmgWikibaseRepoForeignRepositories (T257260)]] (1/2, prod) (duration: 00m 57s)

Mentioned in SAL (#wikimedia-operations) [2021-06-28T13:07:18Z] <lucaswerkmeister-wmde@deploy1002> Synchronized wmf-config/InitialiseSettings-labs.php: Config: [[gerrit:701503|Remove $wmgWikibaseRepoForeignRepositories (T257260)]] (2/2, beta) (duration: 00m 57s)

Change 701504 merged by jenkins-bot:

[operations/mediawiki-config@master] Stop setting Wikibase client repoConceptBaseUri

https://gerrit.wikimedia.org/r/701504

Mentioned in SAL (#wikimedia-operations) [2021-06-30T11:08:04Z] <lucaswerkmeister-wmde@deploy1002> Synchronized wmf-config/Wikibase.php: Config: [[gerrit:701504|Stop setting Wikibase client repoConceptBaseUri (T257260)]] (duration: 01m 24s)

Change 701505 merged by jenkins-bot:

[operations/mediawiki-config@master] Remove $wmgWikibaseClientRepoConceptBaseUri

https://gerrit.wikimedia.org/r/701505

Mentioned in SAL (#wikimedia-operations) [2021-06-30T11:44:30Z] <lucaswerkmeister-wmde@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:701505|Remove $wmgWikibaseClientRepoConceptBaseUri (T257260)]] (1/3, prod) (duration: 01m 16s)

Mentioned in SAL (#wikimedia-operations) [2021-06-30T11:46:07Z] <lucaswerkmeister-wmde@deploy1002> Synchronized wmf-config/InitialiseSettings-labs.php: Config: [[gerrit:701505|Remove $wmgWikibaseClientRepoConceptBaseUri (T257260)]] (2/2, beta) (disregard the earlier /3, I’m skipping the test file after all) (duration: 01m 04s)

Deployed some config changes – the remaining options are still used in Wikibase, so we need some code changes to stop using them first. (Note that there are no deployments next week, so it will be some time before we can continue with the prod config changes, even if we clean up the Wikibase code relatively quickly.)

Change 705857 had a related patch set uploaded (by Lucas Werkmeister (WMDE); author: Lucas Werkmeister (WMDE)):

[operations/mediawiki-config@master] Stop setting $wgWBClientSettings['repoNamespaces']

https://gerrit.wikimedia.org/r/705857

Change 705858 had a related patch set uploaded (by Lucas Werkmeister (WMDE); author: Lucas Werkmeister (WMDE)):

[operations/mediawiki-config@master] Remove wmgWikibaseClientRepoNamespaces

https://gerrit.wikimedia.org/r/705858

Change 706341 had a related patch set uploaded (by Lucas Werkmeister (WMDE); author: Lucas Werkmeister (WMDE)):

[operations/mediawiki-config@master] Stop setting $wgWBClientSettings['repositories']

https://gerrit.wikimedia.org/r/706341

Change 706342 had a related patch set uploaded (by Lucas Werkmeister (WMDE); author: Lucas Werkmeister (WMDE)):

[operations/mediawiki-config@master] Remove wmgWikibaseClientRepositories

https://gerrit.wikimedia.org/r/706342

Change 708308 had a related patch set uploaded (by Lucas Werkmeister (WMDE); author: Lucas Werkmeister (WMDE)):

[operations/mediawiki-config@master] Stop setting $wgWBClientSettings['repoDatabase']

https://gerrit.wikimedia.org/r/708308

Change 708309 had a related patch set uploaded (by Lucas Werkmeister (WMDE); author: Lucas Werkmeister (WMDE)):

[operations/mediawiki-config@master] Remove $wmgWikibaseClientRepoDatabase

https://gerrit.wikimedia.org/r/708309

Change 709503 had a related patch set uploaded (by Lucas Werkmeister (WMDE); author: Lucas Werkmeister (WMDE)):

[operations/mediawiki-config@master] Stop setting $wgWBRepoSettings['conceptBaseUri']

https://gerrit.wikimedia.org/r/709503

Change 709504 had a related patch set uploaded (by Lucas Werkmeister (WMDE); author: Lucas Werkmeister (WMDE)):

[operations/mediawiki-config@master] Remove wmgWBRepoConceptBaseUri

https://gerrit.wikimedia.org/r/709504

Change 706341 merged by jenkins-bot:

[operations/mediawiki-config@master] Stop setting $wgWBClientSettings['repositories']

https://gerrit.wikimedia.org/r/706341

Mentioned in SAL (#wikimedia-operations) [2021-08-09T11:31:10Z] <lucaswerkmeister-wmde@deploy1002> Synchronized wmf-config/Wikibase.php: Config: [[gerrit:706341|Stop setting $wgWBClientSettings['repositories'] (T257260)]] (duration: 00m 57s)

Change 706342 merged by jenkins-bot:

[operations/mediawiki-config@master] Remove wmgWikibaseClientRepositories

https://gerrit.wikimedia.org/r/706342

Mentioned in SAL (#wikimedia-operations) [2021-08-09T11:34:26Z] <lucaswerkmeister-wmde@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:706342|Remove wmgWikibaseClientRepositories (T257260)]] (1/2, prod) (duration: 00m 57s)

Mentioned in SAL (#wikimedia-operations) [2021-08-09T11:35:35Z] <lucaswerkmeister-wmde@deploy1002> Synchronized wmf-config/InitialiseSettings-labs.php: Config: [[gerrit:706342|Remove wmgWikibaseClientRepositories (T257260)]] (2/2, beta) (duration: 00m 56s)

Change 705857 merged by jenkins-bot:

[operations/mediawiki-config@master] Stop setting $wgWBClientSettings['repoNamespaces']

https://gerrit.wikimedia.org/r/705857

Mentioned in SAL (#wikimedia-operations) [2021-08-09T11:39:57Z] <lucaswerkmeister-wmde@deploy1002> Synchronized wmf-config/Wikibase.php: Config: [[gerrit:705857|Stop setting $wgWBClientSettings['repoNamespaces'] (T257260)]] (duration: 00m 57s)

Change 705858 merged by jenkins-bot:

[operations/mediawiki-config@master] Remove wmgWikibaseClientRepoNamespaces

https://gerrit.wikimedia.org/r/705858

Mentioned in SAL (#wikimedia-operations) [2021-08-09T11:43:07Z] <lucaswerkmeister-wmde@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:705858|Remove wmgWikibaseClientRepoNamespaces (T257260)]] (duration: 00m 57s)

Change 708308 merged by jenkins-bot:

[operations/mediawiki-config@master] Stop setting $wgWBClientSettings['repoDatabase']

https://gerrit.wikimedia.org/r/708308

Mentioned in SAL (#wikimedia-operations) [2021-08-10T09:50:31Z] <lucaswerkmeister-wmde@deploy1002> Synchronized wmf-config/Wikibase.php: Config: [[gerrit:708308|Stop setting $wgWBClientSettings['repoDatabase'] (T257260)]] (duration: 00m 58s)

Change 708309 merged by jenkins-bot:

[operations/mediawiki-config@master] Remove $wmgWikibaseClientRepoDatabase

https://gerrit.wikimedia.org/r/708309

Mentioned in SAL (#wikimedia-operations) [2021-08-10T09:54:03Z] <lucaswerkmeister-wmde@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:708309|Remove $wmgWikibaseClientRepoDatabase (T257260)]] (1/2, prod) (duration: 00m 57s)

Mentioned in SAL (#wikimedia-operations) [2021-08-10T09:55:12Z] <lucaswerkmeister-wmde@deploy1002> Synchronized wmf-config/InitialiseSettings-labs.php: Config: [[gerrit:708309|Remove $wmgWikibaseClientRepoDatabase (T257260)]] (2/2, beta) (duration: 00m 57s)

Change 709503 merged by jenkins-bot:

[operations/mediawiki-config@master] Stop setting $wgWBRepoSettings['conceptBaseUri']

https://gerrit.wikimedia.org/r/709503

Mentioned in SAL (#wikimedia-operations) [2021-08-10T12:36:35Z] <lucaswerkmeister-wmde@deploy1002> Synchronized wmf-config/Wikibase.php: Config: [[gerrit:709503|Stop setting $wgWBRepoSettings['conceptBaseUri'] (T257260)]] (duration: 00m 58s)

Change 709504 merged by jenkins-bot:

[operations/mediawiki-config@master] Remove wmgWBRepoConceptBaseUri

https://gerrit.wikimedia.org/r/709504

Mentioned in SAL (#wikimedia-operations) [2021-08-10T12:39:45Z] <lucaswerkmeister-wmde@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:709504|Remove wmgWBRepoConceptBaseUri (T257260)]] (1/3, prod) (duration: 00m 57s)

Mentioned in SAL (#wikimedia-operations) [2021-08-10T12:41:05Z] <lucaswerkmeister-wmde@deploy1002> Synchronized wmf-config/InitialiseSettings-labs.php: Config: [[gerrit:709504|Remove wmgWBRepoConceptBaseUri (T257260)]] (2/3, beta) (duration: 00m 57s)

Mentioned in SAL (#wikimedia-operations) [2021-08-10T12:42:25Z] <lucaswerkmeister-wmde@deploy1002> Synchronized tests/multiversion/StaticSettingsTest.php: Config: [[gerrit:709504|Remove wmgWBRepoConceptBaseUri (T257260)]] (3/3, test) (duration: 00m 57s)

Change 711138 had a related patch set uploaded (by Lucas Werkmeister (WMDE); author: Lucas Werkmeister (WMDE)):

[operations/mediawiki-config@master] Stop setting $wgWBRepoSettings['entityNamespaces']

https://gerrit.wikimedia.org/r/711138

Change 711139 had a related patch set uploaded (by Lucas Werkmeister (WMDE); author: Lucas Werkmeister (WMDE)):

[operations/mediawiki-config@master] Remove $wmgWikibaseRepoEntityNamespaces

https://gerrit.wikimedia.org/r/711139

Change 711140 had a related patch set uploaded (by Lucas Werkmeister (WMDE); author: Lucas Werkmeister (WMDE)):

[operations/mediawiki-config@master] Stop setting $wgWBClientSettings['entityNamespaces']

https://gerrit.wikimedia.org/r/711140

Change 711141 had a related patch set uploaded (by Lucas Werkmeister (WMDE); author: Lucas Werkmeister (WMDE)):

[operations/mediawiki-config@master] Remove $wmgWikibaseClientEntityNamespaces

https://gerrit.wikimedia.org/r/711141

Change 711138 merged by jenkins-bot:

[operations/mediawiki-config@master] Stop setting $wgWBRepoSettings['entityNamespaces']

https://gerrit.wikimedia.org/r/711138

Mentioned in SAL (#wikimedia-operations) [2021-08-11T11:22:29Z] <lucaswerkmeister-wmde@deploy1002> Synchronized wmf-config/Wikibase.php: Config: [[gerrit:711138|Stop setting $wgWBRepoSettings['entityNamespaces'] (T257260)]] (duration: 01m 08s)

Change 711139 merged by jenkins-bot:

[operations/mediawiki-config@master] Remove $wmgWikibaseRepoEntityNamespaces

https://gerrit.wikimedia.org/r/711139

Mentioned in SAL (#wikimedia-operations) [2021-08-11T11:25:43Z] <lucaswerkmeister-wmde@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:711139|Remove $wmgWikibaseRepoEntityNamespaces (T257260)]] (duration: 01m 08s)

Change 711140 merged by jenkins-bot:

[operations/mediawiki-config@master] Stop setting $wgWBClientSettings['entityNamespaces']

https://gerrit.wikimedia.org/r/711140

Mentioned in SAL (#wikimedia-operations) [2021-08-11T11:29:17Z] <lucaswerkmeister-wmde@deploy1002> Synchronized wmf-config/Wikibase.php: Config: [[gerrit:711140|Stop setting $wgWBClientSettings['entityNamespaces'] (T257260)]] (duration: 01m 07s)

Change 711141 merged by jenkins-bot:

[operations/mediawiki-config@master] Remove $wmgWikibaseClientEntityNamespaces

https://gerrit.wikimedia.org/r/711141

Mentioned in SAL (#wikimedia-operations) [2021-08-11T11:32:41Z] <lucaswerkmeister-wmde@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:711141|Remove $wmgWikibaseClientEntityNamespaces (T257260)]] (duration: 01m 08s)

I think this is done, I don’t see any other related config in wmf-config/Wikibase.php (though there are some unrelated settings that also no longer exist in Wikibase, I’ll clean those up later).

Yes, but I’m pretty confident the bits that are left to do won’t require any more production config changes.